package pay.platform.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 商户扩展信息，提供外部应用 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "商户扩展信息，提供外部应用")
@Table(value = "t_pay_merchant_app_key")
public class PayMerchantAppKey {

    /**
     * id
     */
    @Schema(description = "id")
    @Id(keyType = KeyType.Auto)
    private String id;

    @Column(value = "agent_id")
    private String agentId;
    /**
     * 商户id
     */
    @Schema(description = "商户id")
    @Column(value = "merchant_id")
    private String merchantId;

    /**
     * app_id
     */
    @Schema(description = "app_id")
    @Column(value = "app_id")
    private String appId;

    /**
     * app_key
     */
    @Schema(description = "app_key")
    @Column(value = "app_key")
    private String appKey;

    /**
     * app_secret
     */
    @Schema(description = "app_secret")
    @Column(value = "app_secret")
    private String appSecret;

    /**
     * 状态
     */
    @Schema(description = "状态")
    @Column(value = "status")
    private Integer status;

    /**
     * 创建人
     */
    @Schema(description = "创建人")
    @Column(value = "create_user")
    private String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @Column(value = "create_time")
    private Date createTime;

    /**
     * 修改人
     */
    @Schema(description = "修改人")
    @Column(value = "update_user")
    private String updateUser;

    /**
     * 修改时间
     */
    @Schema(description = "修改时间")
    @Column(value = "update_time")
    private Date updateTime;


}
