//package pay.platform.api.system.controller;
//
//import com.mybatisflex.core.paginate.Page;
//import io.swagger.v3.oas.annotations.Operation;
//import io.swagger.v3.oas.annotations.Parameter;
//import io.swagger.v3.oas.annotations.Parameters;
//import io.swagger.v3.oas.annotations.tags.Tag;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.*;
//import pay.platform.api.system.servcie.PayChannelService;
//import pay.platform.domain.PayChannel;
//
//import java.io.Serializable;
//import java.util.List;
//
///**
// * 通道 控制层。
// *
// * @author mybatis-flex-helper automatic generation
// * @since 1.0
// */
//@RestController
//@RequestMapping("/sys/pay/channel")
//@Tag(name = "通道控制层")
//public class PayChannelController {
//
//    @Autowired
//    private PayChannelService PayChannelService;
//
//    /**
//     * 添加 通道
//     *
//     * @param PayChannel 通道
//     * @return {@code true} 添加成功，{@code false} 添加失败
//     */
//    @PostMapping("/save")
//    @Operation(summary = "添加通道")
//
//    public boolean save(@RequestBody PayChannel PayChannel) {
//        return PayChannelService.save(PayChannel);
//    }
//
//
//    /**
//     * 根据主键删除通道
//     *
//     * @param id 主键
//     * @return {@code true} 删除成功，{@code false} 删除失败
//     */
//    @DeleteMapping("/remove/{id}")
//    @Operation(summary = "根据主键删除通道")
//    @Parameters(value = {
//            @Parameter(name = "id", description = "id", required = true)
//    })
//    public boolean remove(@PathVariable Serializable id) {
//        return PayChannelService.removeById(id);
//    }
//
//
//    /**
//     * 根据主键更新通道
//     *
//     * @param PayChannel 通道
//     * @return {@code true} 更新成功，{@code false} 更新失败
//     */
//    @PutMapping("/update")
//    @Operation(summary = "根据主键更新通道")
//    public boolean update(@RequestBody PayChannel PayChannel) {
//        return PayChannelService.updateById(PayChannel);
//    }
//
//
//    /**
//     * 查询所有通道
//     *
//     * @return 所有数据
//     */
//    @GetMapping("/list")
//    @Operation(summary = "查询所有通道")
//    public List<PayChannel> list() {
//        return PayChannelService.list();
//    }
//
//
//    /**
//     * 根据通道主键获取详细信息。
//     *
//     * @param id PayChannel主键
//     * @return 通道详情
//     */
//    @GetMapping("/getInfo/{id}")
//    @Operation(summary = "根据通道主键获取详细信息")
//    @Parameters(value = {
//            @Parameter(name = "id", description = "id", required = true)
//    })
//    public PayChannel getInfo(@PathVariable Serializable id) {
//        return PayChannelService.getById(id);
//    }
//
//
//    /**
//     * 分页查询通道
//     *
//     * @param page 分页对象
//     * @return 分页对象
//     */
//    @GetMapping("/page")
//    @Operation(summary = "分页查询通道")
//    @Parameters(value = {
//            @Parameter(name = "pageNumber", description = "页码", required = true),
//            @Parameter(name = "pageSize", description = "每页大小", required = true)
//    })
//    public Page<PayChannel> page(Page<PayChannel> page) {
//        return PayChannelService.page(page);
//    }
//}