package pay.platform.api.system.model.query;

import io.swagger.v3.oas.annotations.Parameter;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import pay.platform.core.common.domain.BasePageQuery;

/**
 * 用户查询参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString
public class UserQuery extends BasePageQuery {
    /**
     * 用户帐号
     */
    @Parameter(description = "用户帐号")
    private String username;
    /**
     * 姓名
     */
    @Parameter(description = "姓名")
    private String nickname;
    /**
     * 状态
     */
    @Parameter(description = "状态")
    private Integer enable;
}
