package pay.platform.api.model.request;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 订单查询
 */
@Data
public class OrderRequest implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;
    @NotBlank(message = "订单号不能为空")
    private String orderNo;
    @NotBlank(message = "appId不能为空")
    String appId;
    String currentTime;
    String sign;
}
