package pay.platform.core.security.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 登录配置
 */
@ConfigurationProperties(prefix = "security.login")
@Configuration
@Data
public class LoginProperties {
    /**
     * 登录私钥
     */
    private String rsaPrivateKey;
}
