package pay.platform.api.servcie.impl;


import com.mybatisflex.core.query.QueryWrapper;
import com.mybatisflex.spring.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import pay.platform.api.servcie.PayAggregationStoreService;
import pay.platform.domain.PayAggregationStore;
import pay.platform.domain.table.PayAggregationStoreTableDef;
import pay.platform.mapper.PayAggregationStoreMapper;

import java.util.List;

/**
 * 商户关联支付宝店铺 服务层实现。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Service
public class PayAggregationStoreServiceImpl extends ServiceImpl<PayAggregationStoreMapper, PayAggregationStore> implements PayAggregationStoreService {

    @Override
    public List<PayAggregationStore> findAggregationStore(String channelId) {
        QueryWrapper queryWrapper = QueryWrapper.create().from(PayAggregationStoreTableDef.PAY_AGGREGATION_STORE)
                .where(PayAggregationStoreTableDef.PAY_AGGREGATION_STORE.CHANNEL_ID.eq(channelId));
        return mapper.selectListByQuery(queryWrapper);
    }
}